View Issue Details

IDProjectCategoryView StatusLast Update
0004443SOGoWeb Calendarpublic2020-01-10 11:50
Reportersascha.kasch@sumcumo.com Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformServerOSDebianOS Version9
Product Version4.0.0 
Fixed in Version4.0.4 
Summary0004443: Event shown in Webcalender that does not exist
Description

I have an event that is shown in the web-calendar but when clicking on it i get a 404 "not found" error. the event is not shown when subscribed to it via apple calendar. the event is existent in the database when querying for it

restarting sogo and memcached did not solve that problem

Steps To Reproduce

dont know how that happened

TagsNo tags attached.

Activities

sascha.kasch@sumcumo.com

sascha.kasch@sumcumo.com

2018-04-10 11:09

reporter   ~0012823

More details: the event is a series and sogo complains that it cannot find the specific occurence thereof.

sascha.kasch@sumcumo.com

sascha.kasch@sumcumo.com

2018-04-10 11:14

reporter   ~0012824

seems like someone created a series and deleted one event of this series but the occurence is still shown

ludovic

ludovic

2018-04-10 16:03

administrator   ~0012825

Can you attach the raw event to this ticket?

sascha.kasch@sumcumo.com

sascha.kasch@sumcumo.com

2018-04-11 15:00

reporter   ~0012826

i have a hard time obfuscating the event as there are quite a few attendees that i dont want to expose. how to submit privately?
additionally i only have the select statement from a past query as the event has been deleted by my collagues, hope that this still might help

sascha.kasch@sumcumo.com

sascha.kasch@sumcumo.com

2018-04-11 15:03

reporter   ~0012828

its about the event 1F2BA037-73E5-4F38-AD76-2DEC43A52B88.ics and SOGo complains about:

Apr 10 17:22:35 sogod [13238]: 127.0.0.1 "GET /SOGo/so/sc-kasch/Calendar/sc-clubhouse_personal/1F2BA037-73E5-4F38-AD76-2DEC43A52B88.ics/occurence1524736800/view HTTP/1.1" 404 208/0 0.017 - - 24K

but it was shown in the webfrontend

richvdh

richvdh

2019-01-02 06:54

reporter   ~0013230

We're also seeing this fairly regularly (on Sogo 3.2.6) when one occurrence is deleted in a series.

francis

francis

2019-01-03 09:38

administrator   ~0013233

Can you reproduce the problem with the latest stable release (4.0.4)?

sascha.kasch@sumcumo.com

sascha.kasch@sumcumo.com

2020-01-10 11:27

reporter   ~0014054

we did not encounter these any more

Issue History

Date Modified Username Field Change
2018-04-10 11:06 sascha.kasch@sumcumo.com New Issue
2018-04-10 11:09 sascha.kasch@sumcumo.com Note Added: 0012823
2018-04-10 11:14 sascha.kasch@sumcumo.com Note Added: 0012824
2018-04-10 16:03 ludovic Note Added: 0012825
2018-04-11 15:00 sascha.kasch@sumcumo.com Note Added: 0012826
2018-04-11 15:03 sascha.kasch@sumcumo.com Note Added: 0012828
2019-01-02 06:54 richvdh Note Added: 0013230
2019-01-03 09:38 francis Note Added: 0013233
2020-01-10 11:27 sascha.kasch@sumcumo.com Note Added: 0014054
2020-01-10 11:50 francis Assigned To => francis
2020-01-10 11:50 francis Status new => resolved
2020-01-10 11:50 francis Resolution open => fixed
2020-01-10 11:50 francis Fixed in Version => 4.0.4